#!/bin/bash

startOther()
{
    #######################################################
    ###            Backup / Restore / Migrate           ###
    #######################################################

	databaseCycleThroughListApps;

    #######################################################
    ###                     Tools                       ###
    #######################################################

	if [[ "$toolsresetgit" == [yY] ]]; then
		gitFolderResetAndBackup;
	fi

	if [[ "$toolstartpreinstallation" == [yY] ]]; then
		startPreInstall;
	fi

	if [[ "$toolrestartcontainers" == [yY] ]]; then
		dockerStartAllApps;
	fi

	if [[ "$toolstopcontainers" == [yY] ]]; then
		dockerStopAllApps;
	fi

	if [[ "$toolsstartcrontabsetup" == [yY] ]]; then
		crontabSetupBackupScheduler
	fi

    if [[ "$toolinstallcrontab" == [yY] ]]; then
        installCrontab
    fi

    #######################################################
    ###                      Database                   ###
    #######################################################

	databaseRemoveFile;
	databaseListAllApps;
	databaseDisplayTables;
	
	if [[ "$toollistinstalledapps" == [yY] ]]; then
		databaseListInstalledApps;
	fi

	if [[ "$toolupdatedb" == [yY] ]]; then
		databaseAppScan;
	fi

	databaseEmptyTable;

    #######################################################
    ###                     Headscale                   ###
    #######################################################

    headscaleCommands;

    if [[ "$headscaleconfigfile" == [yY] ]]; then
        headscaleEditConfig;
    fi

	endStart;
}
